List Topline Alerts

Reference for the GET /console/v1/alerts endpoint of the Statsig API.

gethttps://statsigapi.net/console/v1/alerts

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Query parameters

limitinteger

Results per page

Example:10
Constraints:stringnumber
pageinteger

Page number

Example:1
Constraints:stringnumber

Response

application/json
200· List Alerts success response
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
idstringrequired

ID of the alert

namestringrequired

Name of the alert

alertTypestringrequired

Type of alert

Allowed values:thresholdchangepct_change
metricsobjectrequired

List of metrics associated with this alert

metricGroupBysobjectrequired

Metric groupbys

formulastring

Formula for the alert

messagestringrequired

Alert message

creatorIDstring
companyIDstringrequired
prioritystringrequired

Priority of this alert

Allowed values:P0P1P2P3P4P5
alertThresholdnumberrequired
Constraints:format: double
warningThresholdnumber
Constraints:format: double
windowMsnumberrequired

How far back and how frequently a metric should be checked, in milliseconds

Constraints:format: double
evaluationDelayMsnumber

Delay before evaluating metrics, in milliseconds. Use 0 or null to clear.

Constraints:format: doublenullable
conditionstringrequired

Condition under which a metric change triggers an alert in milliseconds

Allowed values:greatergreater_or_equallessless_or_equalequalnot_equal
renotificationConditionsstring[]

Condition under which a re-notification is sent

renotificationWindowMsnumber

How long to wait before re-notifying in milliseconds

Constraints:format: double
renotificationMessagestring

Re-notification message

teamstring

Team associated with this alert

Constraints:nullable
ownerobject

Schema for owner data including ID, type, name. Note that if Entity is created by CONSOLE API, owner will be undefined.

Example:{"ownerID":"user123","ownerType":"USER","ownerName":"John Doe","ownerEmail":"owner123@test.com"}
Constraints:nullable
ownerIDstring

ID of the owner

Example:abc123
ownerTypestring

Type of the owner (e.g., SDK_KEY or USER)

Example:USER
ownerNamestring

The name of the owner. This field is optional.

Example:John Doe
ownerEmailstring

The email of the owner. This field is optional.

tagsstring[]required

Tags associated with this alert

paginationobjectrequired

Pagination metadata for checking if there is next page for example.

Show child attributes
itemsPerPagenumberrequired
Constraints:format: double
pageNumbernumberrequired
Constraints:format: double
nextPagestringrequired
Constraints:nullable
previousPagestringrequired
Constraints:nullable
totalItemsnumber
Constraints:format: double
allstring
403· Forbidden resource
statusnumberrequired
Allowed values:403
messagestringrequired
Allowed values:Forbidden resource

Was this helpful?